Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class Trait.ExternalLink

    java.lang.Object
      org.apache.fop.area.Trait.ExternalLink

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Trait

    public static class Trait.ExternalLink

extends java.lang.Object
implements java.io.Serializable

External Link trait structure

See Also:
  Serialized Form

Constructor Summary
`Trait.ExternalLink(java.lang.String destination, boolean newWindow)` Constructs an ExternalLink object with the given destination

Method Summary
`java.lang.String` | `getDestination()` Get the target/destination of the link
`protected static Trait.ExternalLink` | `makeFromTraitValue(java.lang.String traitValue)` Create an `ExternalLink` from a trait value/attribute value in the area tree
`boolean` | `newWindow()` Check if the target has to be displayed in a new window
`java.lang.String` | `toString()` Return a String representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Trait.ExternalLink

    public Trait.ExternalLink(java.lang.String destination,
                              boolean newWindow)

  Constructs an ExternalLink object with the given destination

  Parameters:
    `destination` - target of the link
    `newWindow` - true if the target should be opened in a new window

Method Detail

### makeFromTraitValue

    protected static Trait.ExternalLink makeFromTraitValue(java.lang.String traitValue)

  Create an `ExternalLink` from a trait value/attribute value in the area tree

  Parameters:
    `traitValue` - the value to use (should match the result of `toString()`
  Returns:
    an `ExternalLink` instance corresponding to the given value

### getDestination

    public java.lang.String getDestination()

  Get the target/destination of the link

  Returns:
    the destination of the link

### newWindow

    public boolean newWindow()

  Check if the target has to be displayed in a new window

  Returns:
    `true` if the target has to be displayed in a new window

### toString

    public java.lang.String toString()

  Return a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a `String` of the form "org.apache.fop.area.Trait.ExternalLink[dest=someURL,newWindow=false]"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.